NamespaceManagementSoftwareClustersUpgradeSpec

The Clusters.UpgradeSpec structure contains the specification required to upgrade a cluster.


Properties

string
desired_version Required

Version number the cluster is going to be upgraded to.


boolean
ignore_precheck_warnings Optional

If true, the upgrade workflow will ignore any pre-check warnings and proceed with the upgrade. If unset, the upgrade workflow will not ignore pre-check warnings and fail the upgrade. It is equivalent to setting the value to false. The workflow adopts a conservative approach of failing the upgrade if unset to solely let the user decide whether to force the upgrade despite the warnings.

JSON Example

{
    "desired_version": "string"
}
Feedback

Was this page helpful?